org.red5.server.api.session

## Interface ISession

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  Session

    public interface ISession
    extends Serializable

Represents the most basic type of "Session", loosely modeled after the HTTP Session used in J2EE applications.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

### Method Summary

Methods
`void` `end()` Ends the session, no further modifications should be allowed.
`String` `getClientId()` Returns the client id associated with this session.
`long` `getCreated()` Returns creation time in milliseconds.
`String` `getDestinationDirectory()` Returns the directory used to store session resources.
`String` `getSessionId()` Returns the session's identifier.
`boolean` `isActive()` Returns the active state of the session.
`void` `reset()` Resets a specified set of internal parameters.
`void` `setClientId(String clientId)` Sets the associated client id.
`void` `setDestinationDirectory(String destinationDirectory)` Sets where session resources will be located if persisted to disk.

### Method Detail

#### getCreated

    long getCreated()

Returns creation time in milliseconds.

Returns:
  creation time

#### getSessionId

    String getSessionId()

Returns the session's identifier.

Returns:
  session id

#### reset

    void reset()

Resets a specified set of internal parameters.

#### isActive

    boolean isActive()

Returns the active state of the session.

Returns:
  is active

#### end

    void end()

Ends the session, no further modifications should be allowed.

#### setClientId

    void setClientId(String clientId)

Sets the associated client id.

Parameters:
  `clientId` - client id

#### getClientId

    String getClientId()

Returns the client id associated with this session.

Returns:
  client id

#### setDestinationDirectory

    void setDestinationDirectory(String destinationDirectory)

Sets where session resources will be located if persisted to disk.

Parameters:
  `destinationDirectory` - destination directory

#### getDestinationDirectory

    String getDestinationDirectory()

Returns the directory used to store session resources.

Returns:
  destination directory